Subject: bug#8863: 23.3; Strikethrough won't display on MacOS

From: Alp Aker <[email-masked]>
Date: Wed, 22 Jun 2011 14:07:25 -0400 (EDT)

Chong Yidong writes:

> Does this (100% untested) patch do the right thing?

That will only work on GnuStep; it won't do anything on Cocoa.  Also, it 
will only do strikethrough on char and composite char glyphs.

I'm working on a patch for this and related issues.  (In addition to 
strike-through, the overline face attribute isn't implemented on NS 
either.  Also, underlining only works with char and comp. char glyphs; 
so, e.g., tabs are never underlined.)  I should have it ready next week.